Doordash Item management API Specification (2.0)
API to manage item catalog, inventory, pricing and other attributes.
Add new items
Add new items managed by business. Items sold across all stores must be added to business first. Items must be uniquely identifiable across stores. As of now, only one businessId must be specified. Request validation will fail if no businessId or multiple businessIds are specified.
Request Body schema: application/json
object | |
Array of objects (Item) |
Responses
Request samples
- Payload
{- "scope": {
- "business_ids": [
- "string"
]
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "description": "string",
- "product_traits": [
- "ALCOHOL"
], - "other_identifiers": [
- {
- "identifier_type": "UPC",
- "identifier_value": "string"
}
], - "images": [
- {
- "url": "string",
- "sort_id": 0
}
], - "size": {
- "details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}, - "pack_size_details": {
- "count_per_pack": 0,
- "per_item_size_details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}
}
}, - "weighted_item_info": {
- "average_weight_per_each": 0,
- "average_weight_measurement_unit": "ea",
- "shop_by_measurement_unit": "ea",
- "price_by_measurement_unit": "ea"
}, - "brand_info": {
- "name": "string"
}, - "program_eligibility": [
- "SNAP"
], - "item_categorizations": [
- {
- "category": {
- "name": "string",
- "sub_category": { }
}
}
], - "product_attributes": [
- {
- "attribute_name": "string",
- "attribute_value": {
- "single_select_bool": true
}
}
]
}
]
}Response samples
- 201
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Update existing items
Update existing items managed by business.
Request Body schema: application/json
object | |
Array of objects (Item) |
Responses
Request samples
- Payload
{- "scope": {
- "business_ids": [
- "string"
]
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "description": "string",
- "product_traits": [
- "ALCOHOL"
], - "other_identifiers": [
- {
- "identifier_type": "UPC",
- "identifier_value": "string"
}
], - "images": [
- {
- "url": "string",
- "sort_id": 0
}
], - "size": {
- "details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}, - "pack_size_details": {
- "count_per_pack": 0,
- "per_item_size_details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}
}
}, - "weighted_item_info": {
- "average_weight_per_each": 0,
- "average_weight_measurement_unit": "ea",
- "shop_by_measurement_unit": "ea",
- "price_by_measurement_unit": "ea"
}, - "brand_info": {
- "name": "string"
}, - "program_eligibility": [
- "SNAP"
], - "item_categorizations": [
- {
- "category": {
- "name": "string",
- "sub_category": { }
}
}
], - "product_attributes": [
- {
- "attribute_name": "string",
- "attribute_value": {
- "single_select_bool": true
}
}
]
}
]
}Response samples
- 200
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Update existing store
path Parameters
| store_location_id required | string <string> ID of store to be updated |
Request Body schema: application/json
update existing store
| merchant_supplied_store_id | string |
required | Array of objects |
Array of objects |
Responses
Request samples
- Payload
{- "merchant_supplied_store_id": "string",
- "open_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string"
}
], - "special_hours": [
- {
- "date": "string",
- "start_time": "string",
- "end_time": "string",
- "closed": true
}
]
}Response samples
- 200
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "merchant_supplied_store_id": "string",
- "open_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string"
}
], - "special_hours": [
- {
- "date": "string",
- "start_time": "string",
- "end_time": "string",
- "closed": true
}
]
}Endpoints to manage inventory/pricing and other item attributes specific to this store
Add inventory/pricing and other in-store attributes of new item that is made available for sale in the store.
Add inventory/pricing and other in-store attributes of new item that is made available for sale in the store. base_price and status must be specified first time when an item is made available for sale in a store. At this time, item with extras/options is supported only via job management endpoint. Request validation will fail if extras/options are present in POST/PATCH.
path Parameters
| store_location_id required | string <string> ID of store where the item is physically sourced. |
Request Body schema: application/json
object Only need this information when you use paginated pull workflow | |
Array of objects (StoreItem) |
Responses
Request samples
- Payload
{- "meta": {
- "current_page": 0,
- "page_size": 0,
- "total_page": 0
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "item_availability": "ACTIVE",
- "balance_on_hand": 0,
- "last_sold_datetime": "string",
- "price_info": {
- "base_price": 0,
- "sale_price": 0,
- "tax_rate": 0,
- "bottle_fee_deposit": 0,
- "base_price_per_measurement_unit": 0,
- "loyalty_price": 0,
- "loyalty_price_per_measurement_unit": 0,
- "sale_price_per_measurement_unit": 0
}, - "location": {
- "aisle": "string",
- "zone": "string",
- "shelf": "string",
- "side": "string",
- "additional_details": "string",
- "coordinates": {
- "x": 0,
- "y": 0
}, - "raw_text": "string",
- "section": "string"
}, - "item_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "program_eligibility": [
- "SNAP"
], - "extras": [
- {
- "name": "string",
- "merchant_supplied_id": "string",
- "description": "string",
- "availability": "ACTIVE",
- "sort_id": 0,
- "min_num_options": 0,
- "max_num_options": 0,
- "num_free_options": 0,
- "min_option_choice_quantity": 0,
- "max_option_choice_quantity": 0,
- "min_aggregate_options_quantity": 0,
- "max_aggregate_options_quantity": 0,
- "options": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "availability": "ACTIVE",
- "price_info": {
- "base_price": 0
}, - "item_extra_option_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "description": "string",
- "default": true,
- "sort_id": 0,
- "extras": [
- { }
]
}
]
}
]
}
]
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Update inventory/pricing and other in-store attributes of item that is already sold in the store.
At this time, item with extras/options is supported only via job management endpoint. Request validation will fail if extras/options are present in POST/PATCH.
path Parameters
| store_location_id required | string <string> ID of store where the item is physically sourced. |
Request Body schema: application/json
object Only need this information when you use paginated pull workflow | |
Array of objects (StoreItem) |
Responses
Request samples
- Payload
{- "meta": {
- "current_page": 0,
- "page_size": 0,
- "total_page": 0
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "item_availability": "ACTIVE",
- "balance_on_hand": 0,
- "last_sold_datetime": "string",
- "price_info": {
- "base_price": 0,
- "sale_price": 0,
- "tax_rate": 0,
- "bottle_fee_deposit": 0,
- "base_price_per_measurement_unit": 0,
- "loyalty_price": 0,
- "loyalty_price_per_measurement_unit": 0,
- "sale_price_per_measurement_unit": 0
}, - "location": {
- "aisle": "string",
- "zone": "string",
- "shelf": "string",
- "side": "string",
- "additional_details": "string",
- "coordinates": {
- "x": 0,
- "y": 0
}, - "raw_text": "string",
- "section": "string"
}, - "item_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "program_eligibility": [
- "SNAP"
], - "extras": [
- {
- "name": "string",
- "merchant_supplied_id": "string",
- "description": "string",
- "availability": "ACTIVE",
- "sort_id": 0,
- "min_num_options": 0,
- "max_num_options": 0,
- "num_free_options": 0,
- "min_option_choice_quantity": 0,
- "max_option_choice_quantity": 0,
- "min_aggregate_options_quantity": 0,
- "max_aggregate_options_quantity": 0,
- "options": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "availability": "ACTIVE",
- "price_info": {
- "base_price": 0
}, - "item_extra_option_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "description": "string",
- "default": true,
- "sort_id": 0,
- "extras": [
- { }
]
}
]
}
]
}
]
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Create jobs to trigger various pull request flows. Job parameters should confirm to the schema defined for specific job.
Request Body schema: application/json
| job_type | string Enum: "PULL_STORE_ITEMS" "PULL_STORE_ITEMS_WITH_PAGINATION" Use PULL_STORE_ITEMS if you can return all items in one pull call for one store, otherwise use PULL_STORE_ITEMS_WITH_PAGINATION which is paginated version pull. |
object |
Responses
Request samples
- Payload
{- "job_type": "PULL_STORE_ITEMS",
- "job_parameters": {
- "property1": "string",
- "property2": "string"
}
}Response samples
- 200
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string",
- "max_page_size": 0
}Create new promotion for store
path Parameters
| store_location_id required | string <string> location ID of store |
Request Body schema: application/json
create new promotion
| promotion_id | string Promotion Id to identify a promotion uniquely with a Mx. Required. |
| promotion_type | string Enum: "BUY_X_FOR_Y" "BUY_X_SAVE_Y" "BUY_X_GET_Y_Z_PERCENT_OFF" Promotion types |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object The options to represent for what and how a promotion can be defined | |
| start_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, start time of the promotion with local timezone, example 2024-04-03T10:15:30Z https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
| end_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, end time of the promotion with local timezone https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
Responses
Request samples
- Payload
{- "promotion_id": "string",
- "promotion_type": "BUY_X_FOR_Y",
- "purchase_criteria": {
- "purchase_items": [
- "string"
], - "purchase_quantity": 0
}, - "redemption_limit": {
- "limit_per_order": 0
}, - "discount_options": {
- "discount_total_price": 0,
- "discount_price_off": 0,
- "discount_percentage": 0,
- "discount_quantity": 0
}, - "promotion_options": {
- "promotion_conditions": [
- "MIX_AND_MATCH"
]
}, - "start_time": "string",
- "end_time": "string"
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Update promotions in store
path Parameters
| store_location_id required | string <string> location ID of store to be updated |
Request Body schema: application/json
update promotions in store
| promotion_id | string Promotion Id to identify a promotion uniquely with a Mx. Required. |
| promotion_type | string Enum: "BUY_X_FOR_Y" "BUY_X_SAVE_Y" "BUY_X_GET_Y_Z_PERCENT_OFF" Promotion types |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object The options to represent for what and how a promotion can be defined | |
| start_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, start time of the promotion with local timezone, example 2024-04-03T10:15:30Z https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
| end_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, end time of the promotion with local timezone https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
Responses
Request samples
- Payload
{- "promotion_id": "string",
- "promotion_type": "BUY_X_FOR_Y",
- "purchase_criteria": {
- "purchase_items": [
- "string"
], - "purchase_quantity": 0
}, - "redemption_limit": {
- "limit_per_order": 0
}, - "discount_options": {
- "discount_total_price": 0,
- "discount_price_off": 0,
- "discount_percentage": 0,
- "discount_quantity": 0
}, - "promotion_options": {
- "promotion_conditions": [
- "MIX_AND_MATCH"
]
}, - "start_time": "string",
- "end_time": "string"
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}[Mx Webhook] Receive checkout state changes
Mx should expose an endpoint adhering to this spec. DoorDash will invoke the configured Mx endpoint URL to deliver checkout state changes that Mx can track and act on (e.g. new checkout, cart update, closed), with the current checkout payload.
Checkout Session Lifecycle:
- The
checkout_contextremains immutable throughout the checkout session and provides essential context for processing the transaction. - For merchants enrolled in a checkout type that includes pre-checkout store audit, the session may transition to
PENDING_AUDITstatus. During this phase, theexpected_cart.itemsmay be modified if cart adjustments are required as part of the audit process. - Once the checkout advances to
PENDING_POS_TRANSACTIONstatus, no further changes to the cart are expected, and the transaction can proceed to completion. - In scenarios where the POS transaction cannot be completed, DoorDash will terminate the checkout session by setting the status to
TERMINATEDand providing a reason in thestatus_reasonfield.
Request Body schema: application/json
object (MxWebhookEventHeader) Header metadata for Mx webhook events | |
object (Checkout) Checkout session information |
Responses
Request samples
- Payload
{- "event": {
- "store_location_id": "string",
- "event_type": "RegisterCheckout",
- "event_timestamp": "2019-08-24T14:15:22Z"
}, - "checkout": {
- "checkout_context": {
- "checkout_type": "DOORDASH_DIRECT",
- "order_uuid": "string",
- "checkout_id": "string",
- "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}, - "loyalty_member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}
}, - "status": "CREATED",
- "status_reason": "string",
- "expected_cart": {
- "items": [
- {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}
], - "last_updated_at": "2019-08-24T14:15:22Z"
}, - "doordash_direct_preapproval": {
- "payment_limit": 0,
- "valid_from": "2019-08-24T14:15:22Z",
- "expiry_duration_seconds": 0,
- "updated_at": "2019-08-24T14:15:22Z"
}, - "last_updated_at": "2019-08-24T14:15:22Z",
- "receipt_estimate": {
- "status": "NA",
- "estimate": {
- "receipt_estimate_id": "string",
- "estimated_transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "is_tax_remitted_by_doordash": true,
- "tax_amount_remitted_by_doordash": 0,
- "metadata": {
- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}
}
}
}
}Response samples
- 200
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "mx_checkout_cart_preview": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}
}
}Send checkout events
Send checkout event notifications such as transaction complete or transaction failed. Mx should call this endpoint to notify DoorDash about checkout state changes.
path Parameters
| store_location_id required | string <string> ID of store where events occurred |
Request Body schema: application/json
Array of objects (CheckoutEvent) List of checkout events | |||||||||
Array
| |||||||||
Responses
Request samples
- Payload
{- "events": [
- {
- "event_type": "POS_TRANSACTION_SUCCESS",
- "event_timestamp": "2019-08-24T14:15:22Z",
- "checkout_id": "string",
- "event_attributes": {
- "merchant_supplied_transaction_id": "string",
- "checkout_id": "string",
- "total": 0,
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "message": "string"
}
}
]
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}Add receipts for transactions
Add receipt information for completed transactions
path Parameters
| store_location_id required | string <string> ID of store where transactions occurred |
Request Body schema: application/json
Array of objects (Receipt) List of receipts to add | |||||||||||
Array
| |||||||||||
Responses
Request samples
- Payload
{- "receipts": [
- {
- "order_uuid": "string",
- "checkout_id": "string",
- "merchant_supplied_receipt_id": "string",
- "transaction": {
- "merchant_supplied_transaction_id": "string",
- "transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "receipt_creation_time": "2019-08-24T14:15:22Z"
}
]
}Response samples
- 202
- 400
- 401
- 403
- 404
- 422
- 429
- 500
{- "operation_id": "string",
- "operation_status": "QUEUED",
- "message": "string"
}| merchant_supplied_item_id | string Merchant supplied Id to identify an item uniquely within business across all stores. Every item that is shopable by CX must be represented as an unique item |
| name | string Name of the item |
| description | string Description of the item |
| product_traits | Array of strings (ProductTrait) Items Enum: "ALCOHOL" "MEDICATION" "WEIGHTED" Specifies type of product(s) represented by the item. These attributes will be used to validate product specific attributes in request and apply product specific business logic internally. For example, when WEIGHTED is specified as one of the product trait, presence of weighted_item_info will be validated in the request payload |
Array of objects Other identifiers associated with item. | |
Array of objects Images of the item, atleast one image must be specified | |
object size of the item | |
object attributes related to items that are sold by weights | |
object brand of the item if applicable | |
| program_eligibility | Array of strings (ProgramEligibility) Items Enum: "SNAP" "HSA" "FSA" Program eligibility of the item |
Array of objects One or more categories associated with the item | |
Array of objects (ProductAttributes) product_attributes allow us to infer everything about an item necessary for customers to shop, dasher to fulfill, merchants to merchandise, and advertisers to advertise. See supported full attribute list: https://developer.doordash.com/en-US/docs/marketplace/retail/catalog_management/supported_attribute |
{- "merchant_supplied_item_id": "string",
- "name": "string",
- "description": "string",
- "product_traits": [
- "ALCOHOL"
], - "other_identifiers": [
- {
- "identifier_type": "UPC",
- "identifier_value": "string"
}
], - "images": [
- {
- "url": "string",
- "sort_id": 0
}
], - "size": {
- "details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}, - "pack_size_details": {
- "count_per_pack": 0,
- "per_item_size_details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}
}
}, - "weighted_item_info": {
- "average_weight_per_each": 0,
- "average_weight_measurement_unit": "ea",
- "shop_by_measurement_unit": "ea",
- "price_by_measurement_unit": "ea"
}, - "brand_info": {
- "name": "string"
}, - "program_eligibility": [
- "SNAP"
], - "item_categorizations": [
- {
- "category": {
- "name": "string",
- "sub_category": { }
}
}
], - "product_attributes": [
- {
- "attribute_name": "string",
- "attribute_value": {
- "single_select_bool": true
}
}
]
}| merchant_supplied_store_id | string |
required | Array of objects |
Array of objects |
{- "merchant_supplied_store_id": "string",
- "open_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string"
}
], - "special_hours": [
- {
- "date": "string",
- "start_time": "string",
- "end_time": "string",
- "closed": true
}
]
}| merchant_supplied_item_id | string |
| item_availability | string Enum: "ACTIVE" "INACTIVE" |
| balance_on_hand | integer |
| last_sold_datetime | string DateTime in ISO8601 format of when the item was last sold at the store. |
object (PriceInfo) | |
object (ItemLocation) Default location of an item in the store across business. Can be specified at store level for any store specific customizations. | |
Array of objects (TimeBlock) Special hours on when item will be available | |
| program_eligibility | Array of strings (ProgramEligibility) Items Enum: "SNAP" "HSA" "FSA" Program eligibility of the item |
Array of objects (Extra) |
{- "merchant_supplied_item_id": "string",
- "item_availability": "ACTIVE",
- "balance_on_hand": 0,
- "last_sold_datetime": "string",
- "price_info": {
- "base_price": 0,
- "sale_price": 0,
- "tax_rate": 0,
- "bottle_fee_deposit": 0,
- "base_price_per_measurement_unit": 0,
- "loyalty_price": 0,
- "loyalty_price_per_measurement_unit": 0,
- "sale_price_per_measurement_unit": 0
}, - "location": {
- "aisle": "string",
- "zone": "string",
- "shelf": "string",
- "side": "string",
- "additional_details": "string",
- "coordinates": {
- "x": 0,
- "y": 0
}, - "raw_text": "string",
- "section": "string"
}, - "item_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "program_eligibility": [
- "SNAP"
], - "extras": [
- {
- "name": "string",
- "merchant_supplied_id": "string",
- "description": "string",
- "availability": "ACTIVE",
- "sort_id": 0,
- "min_num_options": 0,
- "max_num_options": 0,
- "num_free_options": 0,
- "min_option_choice_quantity": 0,
- "max_option_choice_quantity": 0,
- "min_aggregate_options_quantity": 0,
- "max_aggregate_options_quantity": 0,
- "options": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "availability": "ACTIVE",
- "price_info": {
- "base_price": 0
}, - "item_extra_option_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "description": "string",
- "default": true,
- "sort_id": 0,
- "extras": [
- { }
]
}
]
}
]
}| promotion_id | string Promotion Id to identify a promotion uniquely with a Mx. Required. |
| promotion_type | string Enum: "BUY_X_FOR_Y" "BUY_X_SAVE_Y" "BUY_X_GET_Y_Z_PERCENT_OFF" Promotion types |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object Purchase criteria to redeem this promotion | |
object The options to represent for what and how a promotion can be defined | |
| start_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, start time of the promotion with local timezone, example 2024-04-03T10:15:30Z https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
| end_time | string <yyyy-MM-ddTHH:mm:ssXXX> required, end time of the promotion with local timezone https://docs.oracle.com/javase/8/docs/api/java/time/format/DateTimeFormatter.html#ISO_ZONED_DATE_TIME |
{- "promotion_id": "string",
- "promotion_type": "BUY_X_FOR_Y",
- "purchase_criteria": {
- "purchase_items": [
- "string"
], - "purchase_quantity": 0
}, - "redemption_limit": {
- "limit_per_order": 0
}, - "discount_options": {
- "discount_total_price": 0,
- "discount_price_off": 0,
- "discount_percentage": 0,
- "discount_quantity": 0
}, - "promotion_options": {
- "promotion_conditions": [
- "MIX_AND_MATCH"
]
}, - "start_time": "string",
- "end_time": "string"
}object | |
Array of objects (Item) |
{- "scope": {
- "business_ids": [
- "string"
]
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "description": "string",
- "product_traits": [
- "ALCOHOL"
], - "other_identifiers": [
- {
- "identifier_type": "UPC",
- "identifier_value": "string"
}
], - "images": [
- {
- "url": "string",
- "sort_id": 0
}
], - "size": {
- "details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}, - "pack_size_details": {
- "count_per_pack": 0,
- "per_item_size_details": {
- "dimensions": {
- "length": {
- "value": 0,
- "unit": "inch"
}, - "width": {
- "value": 0,
- "unit": "inch"
}, - "height": {
- "value": 0,
- "unit": "inch"
}
}, - "weight": {
- "value": 0,
- "unit": "lbs"
}, - "volume": {
- "value": 0,
- "unit": "oz"
}, - "product_specific_size_definition": {
- "value": "400",
- "description": "g"
}
}
}
}, - "weighted_item_info": {
- "average_weight_per_each": 0,
- "average_weight_measurement_unit": "ea",
- "shop_by_measurement_unit": "ea",
- "price_by_measurement_unit": "ea"
}, - "brand_info": {
- "name": "string"
}, - "program_eligibility": [
- "SNAP"
], - "item_categorizations": [
- {
- "category": {
- "name": "string",
- "sub_category": { }
}
}
], - "product_attributes": [
- {
- "attribute_name": "string",
- "attribute_value": {
- "single_select_bool": true
}
}
]
}
]
}object Only need this information when you use paginated pull workflow | |
Array of objects (StoreItem) |
{- "meta": {
- "current_page": 0,
- "page_size": 0,
- "total_page": 0
}, - "items": [
- {
- "merchant_supplied_item_id": "string",
- "item_availability": "ACTIVE",
- "balance_on_hand": 0,
- "last_sold_datetime": "string",
- "price_info": {
- "base_price": 0,
- "sale_price": 0,
- "tax_rate": 0,
- "bottle_fee_deposit": 0,
- "base_price_per_measurement_unit": 0,
- "loyalty_price": 0,
- "loyalty_price_per_measurement_unit": 0,
- "sale_price_per_measurement_unit": 0
}, - "location": {
- "aisle": "string",
- "zone": "string",
- "shelf": "string",
- "side": "string",
- "additional_details": "string",
- "coordinates": {
- "x": 0,
- "y": 0
}, - "raw_text": "string",
- "section": "string"
}, - "item_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "program_eligibility": [
- "SNAP"
], - "extras": [
- {
- "name": "string",
- "merchant_supplied_id": "string",
- "description": "string",
- "availability": "ACTIVE",
- "sort_id": 0,
- "min_num_options": 0,
- "max_num_options": 0,
- "num_free_options": 0,
- "min_option_choice_quantity": 0,
- "max_option_choice_quantity": 0,
- "min_aggregate_options_quantity": 0,
- "max_aggregate_options_quantity": 0,
- "options": [
- {
- "merchant_supplied_item_id": "string",
- "name": "string",
- "availability": "ACTIVE",
- "price_info": {
- "base_price": 0
}, - "item_extra_option_special_hours": [
- {
- "day_index": "MON",
- "start_time": "string",
- "end_time": "string",
- "start_date": "string",
- "end_date": "string"
}
], - "description": "string",
- "default": true,
- "sort_id": 0,
- "extras": [
- { }
]
}
]
}
]
}
]
}| job_type | string Enum: "PULL_STORE_ITEMS" "PULL_STORE_ITEMS_WITH_PAGINATION" Use PULL_STORE_ITEMS if you can return all items in one pull call for one store, otherwise use PULL_STORE_ITEMS_WITH_PAGINATION which is paginated version pull. |
object |
{- "job_type": "PULL_STORE_ITEMS",
- "job_parameters": {
- "property1": "string",
- "property2": "string"
}
}| store_location_id | string |
| pull_mode | string Value: "REPLACE" |
| merchant_supplied_page_size | integer |
{- "store_location_id": "string",
- "pull_mode": "REPLACE",
- "merchant_supplied_page_size": 0
}Array of objects (Promotion) | |||||||||||||||||
Array
| |||||||||||||||||
{- "promotions": [
- {
- "promotion_id": "string",
- "promotion_type": "BUY_X_FOR_Y",
- "purchase_criteria": {
- "purchase_items": [
- "string"
], - "purchase_quantity": 0
}, - "redemption_limit": {
- "limit_per_order": 0
}, - "discount_options": {
- "discount_total_price": 0,
- "discount_price_off": 0,
- "discount_percentage": 0,
- "discount_quantity": 0
}, - "promotion_options": {
- "promotion_conditions": [
- "MIX_AND_MATCH"
]
}, - "start_time": "string",
- "end_time": "string"
}
]
}Array of objects (Receipt) List of receipts to add | |||||||||||
Array
| |||||||||||
{- "receipts": [
- {
- "order_uuid": "string",
- "checkout_id": "string",
- "merchant_supplied_receipt_id": "string",
- "transaction": {
- "merchant_supplied_transaction_id": "string",
- "transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "receipt_creation_time": "2019-08-24T14:15:22Z"
}
]
}Array of objects (CheckoutEvent) List of checkout events | |||||||||
Array
| |||||||||
{- "events": [
- {
- "event_type": "POS_TRANSACTION_SUCCESS",
- "event_timestamp": "2019-08-24T14:15:22Z",
- "checkout_id": "string",
- "event_attributes": {
- "merchant_supplied_transaction_id": "string",
- "checkout_id": "string",
- "total": 0,
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "message": "string"
}
}
]
}| bin | string Bank Identification Number (first 6 digits of card) |
| card_holder_name | string Name of the card holder |
| last_four_digits | string Last four digits of the card number |
| card_type | string Enum: "CREDIT" "OTHER" Type of card |
| card_type_other | string Additional details when card_type is OTHER |
| approval_code | string Authorization or approval code from the card network or processor |
| card_transaction_status | string Status of the card transaction |
{- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}| operation | string Enum: "ITEM_REMOVE" "ITEM_ADD" "ITEM_QUANTITY_UPDATE" Type of operation performed on cart item |
object (CartItem) Item in a shopping cart | |
| change_reason | string Reason for the cart change |
{- "operation": "ITEM_REMOVE",
- "cart_item": {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}, - "change_reason": "string"
}| merchant_supplied_item_id | string Merchant supplied item identifier |
| quantity | number Quantity of the item |
| measurement_unit | string Enum: "ea" "kg" "lb" "gm" "oz" Unit of measurement for the item |
| name | string Name of the item |
| category | string Category of the item |
Array of objects (OtherIdentifier) Other identifiers associated with the item | |
object Scan information for the item | |
object (ItemSubstitutionContext) Context for item substitution | |
| program_eligibility | Array of strings (ProgramEligibility) Items Enum: "SNAP" "HSA" "FSA" Program eligibility of the item |
{- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}object (CheckoutContext) Context information for a checkout session | |
| status | string Enum: "CREATED" "PICK_IN_PROGRESS" "PENDING_AUDIT" "PENDING_POS_TRANSACTION" "SUCCESS" "TERMINATED" Status of the checkout session |
| status_reason | string Reason for the current status |
object (ExpectedCart) Expected cart for the checkout session | |
object (DoordashDirectPreapproval) DoorDash Direct preapproval configuration for the checkout | |
| last_updated_at | string <date-time> Timestamp when the checkout session was last updated in ISO8601 format |
object Receipt estimate availability and data for the checkout |
{- "checkout_context": {
- "checkout_type": "DOORDASH_DIRECT",
- "order_uuid": "string",
- "checkout_id": "string",
- "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}, - "loyalty_member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}
}, - "status": "CREATED",
- "status_reason": "string",
- "expected_cart": {
- "items": [
- {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}
], - "last_updated_at": "2019-08-24T14:15:22Z"
}, - "doordash_direct_preapproval": {
- "payment_limit": 0,
- "valid_from": "2019-08-24T14:15:22Z",
- "expiry_duration_seconds": 0,
- "updated_at": "2019-08-24T14:15:22Z"
}, - "last_updated_at": "2019-08-24T14:15:22Z",
- "receipt_estimate": {
- "status": "NA",
- "estimate": {
- "receipt_estimate_id": "string",
- "estimated_transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "is_tax_remitted_by_doordash": true,
- "tax_amount_remitted_by_doordash": 0,
- "metadata": {
- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}
}
}
}object (MxWebhookEventHeader) Header metadata for Mx webhook events | |
object (Checkout) Checkout session information |
{- "event": {
- "store_location_id": "string",
- "event_type": "RegisterCheckout",
- "event_timestamp": "2019-08-24T14:15:22Z"
}, - "checkout": {
- "checkout_context": {
- "checkout_type": "DOORDASH_DIRECT",
- "order_uuid": "string",
- "checkout_id": "string",
- "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}, - "loyalty_member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}
}, - "status": "CREATED",
- "status_reason": "string",
- "expected_cart": {
- "items": [
- {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}
], - "last_updated_at": "2019-08-24T14:15:22Z"
}, - "doordash_direct_preapproval": {
- "payment_limit": 0,
- "valid_from": "2019-08-24T14:15:22Z",
- "expiry_duration_seconds": 0,
- "updated_at": "2019-08-24T14:15:22Z"
}, - "last_updated_at": "2019-08-24T14:15:22Z",
- "receipt_estimate": {
- "status": "NA",
- "estimate": {
- "receipt_estimate_id": "string",
- "estimated_transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "is_tax_remitted_by_doordash": true,
- "tax_amount_remitted_by_doordash": 0,
- "metadata": {
- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}
}
}
}
}| checkout_type | string Enum: "DOORDASH_DIRECT" "CARD" Type of checkout flow that is being used by shopper. Used by DoorDash to apply corresponding audit and validation rules. |
| order_uuid | string Unique identifier for the order |
| checkout_id | string Unique identifier for the checkout |
object Has barcode/QR code based on DoorDash standard spec with optional custom static routing prefix if needed. Mx must be signed up for a checkout type that utilizes DOORDASH_DIRECT as tender at point of sale. | |
object (LoyaltyMemberInfo) Loyalty member information. Mx can utilize this information to apply membership benefits. |
{- "checkout_type": "DOORDASH_DIRECT",
- "order_uuid": "string",
- "checkout_id": "string",
- "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}, - "loyalty_member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}
}| source | string Enum: "PRECHECKOUT_AUDIT" "POS" Source of the code scan |
| reason | string Reason for the code scan event |
| scan_code | string Scanned barcode or code value |
{- "source": "PRECHECKOUT_AUDIT",
- "reason": "string",
- "scan_code": "string"
}| event_type | string Enum: "POS_TRANSACTION_SUCCESS" "POS_TRANSACTION_FAILED" "PRE_CHECKOUT_AUDIT_CART_CHANGE" "PRECHECKOUT_AUDIT_COMPLETE" "CHECKOUT_CODE_SCANNED" Type of checkout event |
| event_timestamp | string <date-time> Timestamp when the event occurred in ISO8601 format |
| checkout_id | string DoorDash checkout identifier |
TransactionCompleteEventAttributes (object) or TransactionFailedEventAttributes (object) or PreCheckoutAuditEventAttributes (object) or PreCheckoutAuditCompleteEventAttributes (object) or CheckoutCodeScannedEventAttributes (object) Event-specific attributes that conform to the event type schema |
{- "event_type": "POS_TRANSACTION_SUCCESS",
- "event_timestamp": "2019-08-24T14:15:22Z",
- "checkout_id": "string",
- "event_attributes": {
- "merchant_supplied_transaction_id": "string",
- "checkout_id": "string",
- "total": 0,
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "message": "string"
}
}| amount | number Discount amount in cents |
| discount_type | string Enum: "MEMBER_SAVINGS" "MX_PROMO" "CPG_PROMO" "OTHER" Type of discount applied |
| discount_type_other | string Additional details when discount_type is OTHER |
{- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}| payment_limit | number Preapproval payment limit in cents |
| valid_from | string <date-time> Timestamp when the preapproval becomes valid in ISO8601 format |
| expiry_duration_seconds | integer Duration in seconds after valid_from until the preapproval expires |
| updated_at | string <date-time> Timestamp when the preapproval was last updated in ISO8601 format |
{- "payment_limit": 0,
- "valid_from": "2019-08-24T14:15:22Z",
- "expiry_duration_seconds": 0,
- "updated_at": "2019-08-24T14:15:22Z"
}| scan_type | string Enum: "BAR_CODE" "QR_CODE" Type of scan method used |
| payload | string Scanned payload value |
{- "scan_type": "BAR_CODE",
- "payload": "string"
}Array of objects (CartItem) List of items in the checkout cart | |
| last_updated_at | string <date-time> Timestamp when the cart was last updated in ISO8601 format |
{- "items": [
- {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}
], - "last_updated_at": "2019-08-24T14:15:22Z"
}| fee_amount | number Fee amount in cents |
| fee_type | string Enum: "ECO_FEE" "BAG_FEE" "BOTTLE_DEPOSIT_FEE" "OTHER" Type of fee applied |
| fee_type_other | string Additional details when fee_type is OTHER |
{- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}| name | string Name of the item |
| category | string Category of the item |
Array of objects (OtherIdentifier) Other identifiers associated with the item |
{- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
]
}| requested_merchant_supplied_id | string Merchant supplied identifier of the originally requested item |
| substitution_source | string Enum: "DASHER" "CUSTOMER" "MERCHANT" Source of the substitution decision |
| fulfilled_substitution_type | string Enum: "no_substitution" "pre_selected" "customer_contacted" "dasher_override" How the substitution was fulfilled |
{- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}| member_id | string Loyalty member identifier |
| scan_type | string Enum: "QR_CODE" "BARCODE" "NA" Type of scan method used for loyalty |
| scan_payload | string Scanned loyalty payload value |
{- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}object Mx checkout cart preview with transaction contents | |||||||
| |||||||
{- "mx_checkout_cart_preview": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z",
- "contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}
}
}| store_location_id | string Store location identifier |
| event_type | string Enum: "RegisterCheckout" "CheckoutStateChange" "FinishCheckout" "CloseCheckout" Type of Mx webhook event |
| event_timestamp | string <date-time> Timestamp when the event occurred in ISO8601 format |
{- "store_location_id": "string",
- "event_type": "RegisterCheckout",
- "event_timestamp": "2019-08-24T14:15:22Z"
}object (MxWebhookEventHeader) Header metadata for Mx webhook events | |
object (Checkout) Checkout session information |
{- "event": {
- "store_location_id": "string",
- "event_type": "RegisterCheckout",
- "event_timestamp": "2019-08-24T14:15:22Z"
}, - "attributes": {
- "checkout_context": {
- "checkout_type": "DOORDASH_DIRECT",
- "order_uuid": "string",
- "checkout_id": "string",
- "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}, - "loyalty_member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}
}, - "status": "CREATED",
- "status_reason": "string",
- "expected_cart": {
- "items": [
- {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}
], - "last_updated_at": "2019-08-24T14:15:22Z"
}, - "doordash_direct_preapproval": {
- "payment_limit": 0,
- "valid_from": "2019-08-24T14:15:22Z",
- "expiry_duration_seconds": 0,
- "updated_at": "2019-08-24T14:15:22Z"
}, - "last_updated_at": "2019-08-24T14:15:22Z",
- "receipt_estimate": {
- "status": "NA",
- "estimate": {
- "receipt_estimate_id": "string",
- "estimated_transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "is_tax_remitted_by_doordash": true,
- "tax_amount_remitted_by_doordash": 0,
- "metadata": {
- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}
}
}
}
}| name | string Identifier name |
| value | string Identifier value |
{- "name": "string",
- "value": "string"
}| order_uuid | string DoorDash order UUID |
| checkout_id | string DoorDash checkout identifier |
Array of objects (CartChangeEvent) List of cart change events |
{- "order_uuid": "string",
- "checkout_id": "string",
- "cart_changes": [
- {
- "operation": "ITEM_REMOVE",
- "cart_item": {
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_info": {
- "scan_code": "string",
- "scanned_at": "2019-08-24T14:15:22Z",
- "details": [
- {
- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}
]
}, - "substitution_context": {
- "requested_merchant_supplied_id": "string",
- "substitution_source": "DASHER",
- "fulfilled_substitution_type": "no_substitution"
}, - "program_eligibility": [
- "SNAP"
]
}, - "change_reason": "string"
}
]
}| is_audit_successful | boolean Whether the audit was successful |
object Period during which the audit was conducted | |
| requested_audit_item_count | integer Number of items requested for audit |
| audited_item_count | integer Number of items audited |
Array of objects List of successfully audited items | |
Array of objects List of items that failed audit | |
object Result of the checkout audit |
{- "is_audit_successful": true,
- "audit_period": {
- "start_time": "2019-08-24T14:15:22Z",
- "end_time": "2019-08-24T14:15:22Z"
}, - "requested_audit_item_count": 0,
- "audited_item_count": 0,
- "successful_audit_items": [
- {
- "merchant_supplied_id": "string",
- "scanned_code": "string"
}
], - "failed_audit_items": [
- {
- "merchant_supplied_id": "string",
- "scanned_code": "string",
- "failed_reason": "string"
}
], - "audit_outcome": {
- "status": "PASSED",
- "status_reason": "string"
}
}| order_uuid | string DoorDash order UUID |
| checkout_id | string DoorDash checkout identifier |
| merchant_supplied_receipt_id | string Merchant supplied receipt identifier |
object (Transaction) Complete transaction with identifier, contents, and timestamp | |
| receipt_creation_time | string <date-time> Timestamp when the receipt was created in ISO8601 format |
{- "order_uuid": "string",
- "checkout_id": "string",
- "merchant_supplied_receipt_id": "string",
- "transaction": {
- "merchant_supplied_transaction_id": "string",
- "transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "receipt_creation_time": "2019-08-24T14:15:22Z"
}| receipt_estimate_id | string Unique identifier for the receipt estimate |
object (TransactionContent) Transaction details without merchant-supplied transaction identifier | |
| is_tax_remitted_by_doordash | boolean Whether tax is remitted by DoorDash for this receipt estimate |
| tax_amount_remitted_by_doordash | number Tax amount remitted by DoorDash in cents |
object (ReceiptEstimateMetadata) Metadata for a receipt estimate |
{- "receipt_estimate_id": "string",
- "estimated_transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "is_tax_remitted_by_doordash": true,
- "tax_amount_remitted_by_doordash": 0,
- "metadata": {
- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}
}| transaction_content_source | string Enum: "MX_POS" "MX_CHECKOUT_PREVIEW" "DD" Source of the transaction content for the estimate |
object Merchant-supplied transaction identifiers and timing | |
object Optional Mx cart preview reference; present when estimate source is MX_CHECKOUT_PREVIEW |
{- "transaction_content_source": "MX_POS",
- "merchant_transaction_info": {
- "merchant_supplied_transaction_id": "string",
- "transaction_timestamp": "2019-08-24T14:15:22Z"
}, - "mx_cart_preview_info": {
- "mx_checkout_cart_id": "string",
- "updated_at": "2019-08-24T14:15:22Z"
}
}| format required | string Enum: "upc-a" "upc-e" "ean-13" "ean-8" "plu" "gtin-14" "unknown" Format of barcode |
| is_variable_measure | boolean or null Indicates whether the barcode represents a variable measure product with price or weight |
| indicator_digit | string or null Used in GTIN-14 barcodes to classify the type of item |
| product_code required | string Product code identifies an item within a given system, used in most barcode formats |
| check_digit | string or null Check digit if applicable. Typically the last digit of scanned UPC and EAN |
| country_code | string or null Identifies the country where the manufacturer is registered, used in EAN-13 and EAN-8 |
| manufacturer_code | string or null Identifies the company that produced the product, used in UPC-A, EAN-13, UPC-E |
| number_system | string or null The type of barcode and its categorization, used in UPC-A, UPC-E |
| plu_check_digit | string or null Price check digit used in variable measure barcodes |
| company_prefix | string or null Part of GTIN-14 barcode, identifying the brand owner or manufacturer |
| item_reference | string or null Identifies a product within a company, used in GTIN-14 barcodes |
| scanned_code_sans_check_digit | string or null Barcode without check digit |
{- "format": "upc-a",
- "is_variable_measure": true,
- "indicator_digit": "string",
- "product_code": "string",
- "check_digit": "string",
- "country_code": "string",
- "manufacturer_code": "string",
- "number_system": "string",
- "plu_check_digit": "string",
- "company_prefix": "string",
- "item_reference": "string",
- "scanned_code_sans_check_digit": "string"
}| amount | number Tax amount in cents |
| tax_type | string Enum: "SALES_TAX" "VAT" "EXCISE_TAX" "TAX_ON_FEES" "TAX_ON_SUBTOTAL" "OTHER" Type of tax applied |
| tax_type_other | string Additional details when tax_type is OTHER |
{- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}| tender_type | string Enum: "CARD" "DOORDASH_DIRECT" "HSA_FSA" "SNAP" "EBT" "OTHER" Type of tender used |
| tender_type_other | string Additional details when tender_type is OTHER |
| amount | number Amount paid with this tender in cents |
object (CardTransactionInfo) Card transaction information | |
object (DoordashDirectScanInfo) DoorDash Direct scan information |
{- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}| merchant_supplied_transaction_id | string Merchant supplied transaction identifier |
object (TransactionContent) Transaction details without merchant-supplied transaction identifier | |
| transaction_timestamp | string <date-time> Timestamp when the transaction occurred in ISO8601 format |
{- "merchant_supplied_transaction_id": "string",
- "transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "transaction_timestamp": "2019-08-24T14:15:22Z"
}| total | number Total transaction amount in cents |
| currency_code | string Value: "USD" Currency code for the transaction |
object (TransactionSummary) Summary of transaction totals | |
Array of objects (TransactionLineItem) List of line items in the transaction | |
Array of objects (DiscountInfo) Transaction-level discounts | |
Array of objects (TaxInfo) Transaction-level taxes | |
Array of objects (FeeInfo) Transaction-level fees | |
object Loyalty information for transaction | |
Array of objects (Tender) List of payment tenders used in this transaction |
{- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}| checkout_id | string DoorDash checkout identifier |
| merchant_supplied_transaction_id | string Merchant supplied transaction identifier |
object (TransactionContent) Transaction details without merchant-supplied transaction identifier | |
| client_request_time | string <date-time> Timestamp when the client initiated the request in ISO8601 format |
{- "checkout_id": "string",
- "merchant_supplied_transaction_id": "string",
- "transaction_contents": {
- "total": 0,
- "currency_code": "USD",
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "items": [
- {
- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}
], - "discounts": [
- {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}
], - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
], - "fees": [
- {
- "fee_amount": 0,
- "fee_type": "ECO_FEE",
- "fee_type_other": "string"
}
], - "loyalty": {
- "member_info": {
- "member_id": "string",
- "scan_type": "QR_CODE",
- "scan_payload": "string"
}, - "points_awarded": 0
}, - "tenders": [
- {
- "tender_type": "CARD",
- "tender_type_other": "string",
- "amount": 0,
- "card_info": {
- "bin": "string",
- "card_holder_name": "string",
- "last_four_digits": "string",
- "card_type": "CREDIT",
- "card_type_other": "string",
- "approval_code": "string",
- "card_transaction_status": "string"
}, - "doordash_direct_scan_info": {
- "scan_type": "BAR_CODE",
- "payload": "string"
}
}
]
}, - "client_request_time": "2019-08-24T14:15:22Z"
}| order_uuid | string DoorDash order UUID |
| delivery_uuid | string DoorDash delivery UUID |
| event_time | string <date-time> Timestamp of the authorization event in ISO8601 format |
| approval_status | string Enum: "APPROVED" "APPROVED_WITH_CONDITIONS" "DENIED" Overall approval status of the transaction |
Array of objects (TransactionAuditResult) List of audit results |
{- "order_uuid": "string",
- "delivery_uuid": "string",
- "event_time": "2019-08-24T14:15:22Z",
- "approval_status": "APPROVED",
- "audit_results": [
- {
- "reason_code": "INVALID_BAR_CODE",
- "message": "string"
}
]
}| reason_code | string Enum: "INVALID_BAR_CODE" "CHECKOUT_NOT_ACTIVE" "UNKNOWN_CHECKOUT_ID" "ALREADY_APPROVED" "AUTH_OVERRIDDEN" "OTHER" Reason code for audit result |
| message | string Detailed message for the audit result |
{- "reason_code": "INVALID_BAR_CODE",
- "message": "string"
}| merchant_supplied_transaction_id | string Merchant supplied transaction identifier |
| checkout_id | string DoorDash checkout identifier |
| total | number Total transaction amount in cents |
object (TransactionSummary) Summary of transaction totals | |
| message | string Additional message about the transaction completion |
{- "merchant_supplied_transaction_id": "string",
- "checkout_id": "string",
- "total": 0,
- "summary": {
- "subtotal": 0,
- "tax": 0,
- "fees": 0,
- "discount": 0
}, - "message": "string"
}| merchant_supplied_transaction_id | string Merchant supplied transaction identifier |
| checkout_id | string DoorDash checkout identifier |
| message | string Additional message about the transaction failure |
{- "merchant_supplied_transaction_id": "string",
- "checkout_id": "string",
- "message": "string"
}| line_id | string Unique identifier for the line item |
| merchant_supplied_item_id | string Merchant supplied item identifier |
| quantity | number Quantity of the item |
| measurement_unit | string Enum: "ea" "kg" "lb" "gm" "oz" Unit of measurement for the item |
| name | string Name of the item |
| category | string Category of the item |
Array of objects (OtherIdentifier) Other identifiers associated with the item | |
| scan_code | string Barcode or scan code for the item |
| program_eligibility | Array of strings (ProgramEligibility) Items Enum: "SNAP" "HSA" "FSA" Program eligibility of the item |
| price | number Price per unit in cents |
| net_price | number Total net price in cents |
| price_per_measurement_unit | number Price per measurement unit in cents |
| net_price_per_measurement_unit | number Net price per measurement unit in cents |
object (DiscountInfo) Discount information for line items or transaction | |
Array of objects (TaxInfo) Tax information for this line item |
{- "line_id": "string",
- "merchant_supplied_item_id": "string",
- "quantity": 0,
- "measurement_unit": "ea",
- "name": "string",
- "category": "string",
- "other_identifiers": [
- {
- "name": "string",
- "value": "string"
}
], - "scan_code": "string",
- "program_eligibility": [
- "SNAP"
], - "price": 0,
- "net_price": 0,
- "price_per_measurement_unit": 0,
- "net_price_per_measurement_unit": 0,
- "discounts": {
- "amount": 0,
- "discount_type": "MEMBER_SAVINGS",
- "discount_type_other": "string"
}, - "taxes": [
- {
- "amount": 0,
- "tax_type": "SALES_TAX",
- "tax_type_other": "string"
}
]
}